/*!
 * react-bulma-vitae v0.1.0 - https://minivera.github.io/react-bulma-vitae/
 * MIT Licensed
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"), require("bloomer"), require("react-tippy"));
	else if(typeof define === 'function' && define.amd)
		define(["react", "bloomer", "react-tippy"], factory);
	else if(typeof exports === 'object')
		exports["react-bulma-vitae"] = factory(require("react"), require("bloomer"), require("react-tippy"));
	else
		root["react-bulma-vitae"] = factory(root["React"], root["Bloomer"], root["ReactTippy"]);
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_3__, __WEBPACK_EXTERNAL_MODULE_38__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 32);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

if (true) {
  var REACT_ELEMENT_TYPE = (typeof Symbol === 'function' &&
    Symbol.for &&
    Symbol.for('react.element')) ||
    0xeac7;

  var isValidElement = function(object) {
    return typeof object === 'object' &&
      object !== null &&
      object.$$typeof === REACT_ELEMENT_TYPE;
  };

  // By explicitly using `prop-types` you are opting into new development behavior.
  // http://fb.me/prop-types-in-prod
  var throwOnDirectAccess = true;
  module.exports = __webpack_require__(35)(isValidElement, throwOnDirectAccess);
} else {
  // By explicitly using `prop-types` you are opting into new production behavior.
  // http://fb.me/prop-types-in-prod
  module.exports = require('./factoryWithThrowingShims')();
}


/***/ }),
/* 2 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return hasProperties; });
var hasProperties = function hasProperties(object, properties) {
    if (properties.constructor !== Array) {
        return object.hasOwnProperty(properties);
    }
    for (var index in properties) {
        if (!object.hasOwnProperty(properties[index])) {
            return false;
        }
    }
    return true;
};

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_3__;

/***/ }),
/* 4 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_bloomer__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__GenericElement_js__ = __webpack_require__(41);
function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }




//Bloomer imports




var styles = {
    icon: {
        width: 40,
        paddingLeft: 8,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center'
    },
    heading: {
        textTransform: 'uppercase'
    }
};

var GenericList = function GenericList(props) {
    var listName = props.listName,
        listIcon = props.listIcon,
        items = props.items,
        highlightType = props.highlightType,
        rest = _objectWithoutProperties(props, ['listName', 'listIcon', 'items', 'highlightType']);

    if (!items.length) {
        return null;
    }

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        __WEBPACK_IMPORTED_MODULE_2_bloomer__["Card"],
        rest,
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_2_bloomer__["CardHeader"],
            null,
            listIcon ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_bloomer__["CardHeaderIcon"], { render: function render() {
                    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        'div',
                        { style: styles.icon },
                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_bloomer__["Icon"], { className: listIcon })
                    );
                } }) : null,
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_2_bloomer__["CardHeaderTitle"],
                { style: styles.heading },
                listName
            )
        ),
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_2_bloomer__["CardContent"],
            null,
            items.map(function (item, index, items) {
                return [__WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3__GenericElement_js__["a" /* default */], { item: item, key: index, highlightType: highlightType }), index !== items.length - 1 ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement('hr', null) : null];
            })
        )
    );
};

GenericList.propTypes = {
    listName: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string.isRequired,
    listIcon: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
    items: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
        title: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        subtitle: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        summary: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        url: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        start: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        end: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        highlights: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string)
    })),
    highlightType: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.oneOf(['list', 'tags'])
};

GenericList.defaultProps = {
    items: [],
    highlightType: 'list'
};

/* harmony default export */ __webpack_exports__["a"] = (GenericList);

/***/ }),
/* 5 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__BasicsSection_js__ = __webpack_require__(34);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__BasicsSection_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withBasics_js__ = __webpack_require__(11);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return __WEBPACK_IMPORTED_MODULE_1__withBasics_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__Profiles_js__ = __webpack_require__(13);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return __WEBPACK_IMPORTED_MODULE_2__Profiles_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__Contact_js__ = __webpack_require__(12);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_3__Contact_js__["a"]; });





/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */

function makeEmptyFunction(arg) {
  return function () {
    return arg;
  };
}

/**
 * This function accepts and discards inputs; it has no side effects. This is
 * primarily useful idiomatically for overridable function endpoints which
 * always need to be callable, since JS lacks a null-call idiom ala Cocoa.
 */
var emptyFunction = function emptyFunction() {};

emptyFunction.thatReturns = makeEmptyFunction;
emptyFunction.thatReturnsFalse = makeEmptyFunction(false);
emptyFunction.thatReturnsTrue = makeEmptyFunction(true);
emptyFunction.thatReturnsNull = makeEmptyFunction(null);
emptyFunction.thatReturnsThis = function () {
  return this;
};
emptyFunction.thatReturnsArgument = function (arg) {
  return arg;
};

module.exports = emptyFunction;

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */



/**
 * Use invariant() to assert state which your program assumes to be true.
 *
 * Provide sprintf-style format (only %s is supported) and arguments
 * to provide information about what broke and what you were
 * expecting.
 *
 * The invariant message will be stripped in production, but the invariant
 * will remain to ensure logic does not differ in production.
 */

var validateFormat = function validateFormat(format) {};

if (true) {
  validateFormat = function validateFormat(format) {
    if (format === undefined) {
      throw new Error('invariant requires an error message argument');
    }
  };
}

function invariant(condition, format, a, b, c, d, e, f) {
  validateFormat(format);

  if (!condition) {
    var error;
    if (format === undefined) {
      error = new Error('Minified exception occurred; use the non-minified dev environment ' + 'for the full error message and additional helpful warnings.');
    } else {
      var args = [a, b, c, d, e, f];
      var argIndex = 0;
      error = new Error(format.replace(/%s/g, function () {
        return args[argIndex++];
      }));
      error.name = 'Invariant Violation';
    }

    error.framesToPop = 1; // we don't care about invariant's own frame
    throw error;
  }
}

module.exports = invariant;

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */



var emptyFunction = __webpack_require__(6);

/**
 * Similar to invariant but only logs a warning if the condition is not met.
 * This can be used to log issues in development environments in critical
 * paths. Removing the logging code for production environments will keep the
 * same logic and follow the same code paths.
 */

var warning = emptyFunction;

if (true) {
  var printWarning = function printWarning(format) {
    for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    var argIndex = 0;
    var message = 'Warning: ' + format.replace(/%s/g, function () {
      return args[argIndex++];
    });
    if (typeof console !== 'undefined') {
      console.error(message);
    }
    try {
      // --- Welcome to debugging React ---
      // This error was thrown as a convenience so that you can use this stack
      // to find the callsite that caused this warning to fire.
      throw new Error(message);
    } catch (x) {}
  };

  warning = function warning(condition, format) {
    if (format === undefined) {
      throw new Error('`warning(condition, format, ...args)` requires a warning ' + 'message argument');
    }

    if (format.indexOf('Failed Composite propType: ') === 0) {
      return; // Ignore CompositeComponent proptype check.
    }

    if (!condition) {
      for (var _len2 = arguments.length, args = Array(_len2 > 2 ? _len2 - 2 : 0), _key2 = 2; _key2 < _len2; _key2++) {
        args[_key2 - 2] = arguments[_key2];
      }

      printWarning.apply(undefined, [format].concat(args));
    }
  };
}

module.exports = warning;

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var ReactPropTypesSecret = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';

module.exports = ReactPropTypesSecret;


/***/ }),
/* 10 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony default export */ __webpack_exports__["a"] = ({
           sections: ['work', 'volunteer', 'education', 'awards', 'publications', 'skills', 'languages', 'interests', 'references']
});

/***/ }),
/* 11 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__defines__ = __webpack_require__(10);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };






/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withBasics = function withBasics(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        var menus = [];

        __WEBPACK_IMPORTED_MODULE_2__defines__["a" /* default */].sections.forEach(function (section) {
            if (schema.hasOwnProperty(section)) {
                menus.push(section);
            }
        });

        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { basics: schema.basics, availableSections: menus }));
    };

    Wrapper.displayName = "withBasics(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withBasics);

/***/ }),
/* 12 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_bloomer__);





//Bloomer imports


var styles = {
    mainDiv: {},
    subDiv: {
        marginBottom: '1.5rem'
    },
    iconStyle: {
        marginRight: '1.25rem'
    }
};

var renderAddress = function renderAddress(location) {
    var address = '';
    if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(location, 'address')) {
        address += location.address;
    }
    if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(location, 'city')) {
        address += ", " + location.city;
    }
    if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(location, 'region')) {
        address += ", " + location.region;
    }
    if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(location, 'countryCode')) {
        address += " (" + location.countryCode + ")";
    }
    if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(location, 'postalCode')) {
        address += ", " + location.postalCode;
    }
    return address;
};

var Contact = function Contact(props) {
    var phone = props.phone,
        location = props.location,
        email = props.email,
        website = props.website;


    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        "div",
        { style: styles.mainDiv },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_3_bloomer__["Title"],
            { isSize: 4 },
            "Contact"
        ),
        phone && phone.length ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            "div",
            { style: styles.subDiv },
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_3_bloomer__["Subtitle"],
                { isSize: 6, isSpaced: true },
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3_bloomer__["Icon"], { isSize: "small", className: "fas fa-phone", style: styles.iconStyle }),
                phone
            )
        ) : null,
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            "div",
            { style: styles.subDiv },
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_3_bloomer__["Subtitle"],
                { isSize: 6, isSpaced: true },
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3_bloomer__["Icon"], { isSize: "small", className: "fas fa-map-marker-alt", style: styles.iconStyle }),
                renderAddress(location)
            )
        ),
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            "div",
            { style: styles.subDiv },
            email && email.length ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_3_bloomer__["Subtitle"],
                { isSize: 6, isSpaced: true, style: { marginBottom: '0.25rem' } },
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3_bloomer__["Icon"], { isSize: "small", className: "fas fa-envelope", style: styles.iconStyle }),
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    "a",
                    { href: "mailto:" + email, target: "_top" },
                    email
                )
            ) : null,
            website && website.length ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_3_bloomer__["Subtitle"],
                { isSize: 6, isSpaced: true },
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3_bloomer__["Icon"], { isSize: "small", className: "fas fa-link", style: styles.iconStyle }),
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    "a",
                    { href: website, target: "_blank" },
                    website
                )
            ) : null
        )
    );
};

Contact.propTypes = {
    email: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
    phone: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
    website: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
    location: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({})
};

Contact.defaultProps = {
    email: null,
    phone: null,
    website: null,
    location: {}
};

/* harmony default export */ __webpack_exports__["a"] = (Contact);

/***/ }),
/* 13 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_bloomer__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_react_tippy__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_react_tippy___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_react_tippy__);





//Bloomer imports




var styles = {};

var Profiles = function Profiles(props) {
    var profiles = props.profiles;


    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        __WEBPACK_IMPORTED_MODULE_3_bloomer__["Level"],
        null,
        profiles.map(function (profile, index) {
            return Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(profile, 'username') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_3_bloomer__["LevelItem"],
                { key: index },
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    __WEBPACK_IMPORTED_MODULE_4_react_tippy__["Tooltip"],
                    { title: "Follow " + profile.username + " on " + profile.network },
                    __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        "a",
                        { href: profile.url },
                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3_bloomer__["Icon"], { isSize: "medium", className: "fab fa-" + profile.network.toLowerCase() })
                    )
                )
            ) : __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_3_bloomer__["LevelItem"],
                null,
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    "a",
                    { href: profile.url },
                    __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3_bloomer__["Icon"], { isSize: "medium", className: "fab fa-" + profile.network })
                )
            );
        })
    );
};

Profiles.propTypes = {
    profiles: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

Profiles.defaultProps = {
    profiles: []
};

/* harmony default export */ __webpack_exports__["a"] = (Profiles);

/***/ }),
/* 14 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__WorkList_js__ = __webpack_require__(40);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__WorkList_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withWork_js__ = __webpack_require__(15);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withWork_js__["a"]; });



/***/ }),
/* 15 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withWork = function withWork(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { work: schema.work }));
    };

    Wrapper.displayName = "withWork(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withWork);

/***/ }),
/* 16 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__VolunteerList_js__ = __webpack_require__(42);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__VolunteerList_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withVolunteer_js__ = __webpack_require__(17);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withVolunteer_js__["a"]; });



/***/ }),
/* 17 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withVolunteer = function withVolunteer(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { volunteer: schema.volunteer }));
    };

    Wrapper.displayName = "withVolunteer(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withVolunteer);

/***/ }),
/* 18 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__EducationList_js__ = __webpack_require__(43);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__EducationList_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withEducation_js__ = __webpack_require__(19);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withEducation_js__["a"]; });



/***/ }),
/* 19 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withEducation = function withEducation(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { education: schema.education }));
    };

    Wrapper.displayName = "withEducation(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withEducation);

/***/ }),
/* 20 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__AwardsList_js__ = __webpack_require__(44);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__AwardsList_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withAwards_js__ = __webpack_require__(21);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withAwards_js__["a"]; });



/***/ }),
/* 21 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withAwards = function withAwards(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { awards: schema.awards }));
    };

    Wrapper.displayName = "withAwards(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withAwards);

/***/ }),
/* 22 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__PublicationsList_js__ = __webpack_require__(45);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__PublicationsList_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withPublications_js__ = __webpack_require__(23);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withPublications_js__["a"]; });



/***/ }),
/* 23 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withPublications = function withPublications(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { publications: schema.publications }));
    };

    Wrapper.displayName = "withPublications(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withPublications);

/***/ }),
/* 24 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__Skills_js__ = __webpack_require__(46);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__Skills_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withSkills_js__ = __webpack_require__(25);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withSkills_js__["a"]; });



/***/ }),
/* 25 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withSkills = function withSkills(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { skills: schema.skills }));
    };

    Wrapper.displayName = "withSkills(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withSkills);

/***/ }),
/* 26 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__Languages_js__ = __webpack_require__(47);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__Languages_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withLanguages_js__ = __webpack_require__(27);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withLanguages_js__["a"]; });



/***/ }),
/* 27 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withLanguages = function withLanguages(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { languages: schema.languages }));
    };

    Wrapper.displayName = "withLanguages(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withLanguages);

/***/ }),
/* 28 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__Interests_js__ = __webpack_require__(48);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__Interests_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withInterests_js__ = __webpack_require__(29);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withInterests_js__["a"]; });



/***/ }),
/* 29 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withInterests = function withInterests(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { interests: schema.interests }));
    };

    Wrapper.displayName = "withInterests(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withInterests);

/***/ }),
/* 30 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__References_js__ = __webpack_require__(49);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__References_js__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__withReferences_js__ = __webpack_require__(31);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__withReferences_js__["a"]; });



/***/ }),
/* 31 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };




/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withReferences = function withReferences(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(Component, _extends({}, props, { references: schema.references }));
    };

    Wrapper.displayName = "withReferences(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}).isRequired
    };

    return Wrapper;
};

/* harmony default export */ __webpack_exports__["a"] = (withReferences);

/***/ }),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(33);


/***/ }),
/* 33 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__components_basics__ = __webpack_require__(5);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "BasicsSection", function() { return __WEBPACK_IMPORTED_MODULE_0__components_basics__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withBasics", function() { return __WEBPACK_IMPORTED_MODULE_0__components_basics__["d"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "Profiles", function() { return __WEBPACK_IMPORTED_MODULE_0__components_basics__["c"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "Contact", function() { return __WEBPACK_IMPORTED_MODULE_0__components_basics__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__components_work__ = __webpack_require__(14);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "WorkList", function() { return __WEBPACK_IMPORTED_MODULE_1__components_work__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withWork", function() { return __WEBPACK_IMPORTED_MODULE_1__components_work__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_volunteer__ = __webpack_require__(16);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "VolunteerList", function() { return __WEBPACK_IMPORTED_MODULE_2__components_volunteer__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withVolunteer", function() { return __WEBPACK_IMPORTED_MODULE_2__components_volunteer__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_education__ = __webpack_require__(18);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "EducationList", function() { return __WEBPACK_IMPORTED_MODULE_3__components_education__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withEducation", function() { return __WEBPACK_IMPORTED_MODULE_3__components_education__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_awards__ = __webpack_require__(20);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "AwardsList", function() { return __WEBPACK_IMPORTED_MODULE_4__components_awards__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withAwards", function() { return __WEBPACK_IMPORTED_MODULE_4__components_awards__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_publications__ = __webpack_require__(22);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "PublicationsList", function() { return __WEBPACK_IMPORTED_MODULE_5__components_publications__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withPublications", function() { return __WEBPACK_IMPORTED_MODULE_5__components_publications__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_skills__ = __webpack_require__(24);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "Skills", function() { return __WEBPACK_IMPORTED_MODULE_6__components_skills__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withSkills", function() { return __WEBPACK_IMPORTED_MODULE_6__components_skills__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__components_languages__ = __webpack_require__(26);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "Languages", function() { return __WEBPACK_IMPORTED_MODULE_7__components_languages__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withLanguages", function() { return __WEBPACK_IMPORTED_MODULE_7__components_languages__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__components_interests__ = __webpack_require__(28);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "Interests", function() { return __WEBPACK_IMPORTED_MODULE_8__components_interests__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withInterests", function() { return __WEBPACK_IMPORTED_MODULE_8__components_interests__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__components_references__ = __webpack_require__(30);
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "References", function() { return __WEBPACK_IMPORTED_MODULE_9__components_references__["a"]; });
/* harmony namespace reexport (by provided) */ __webpack_require__.d(__webpack_exports__, "withReferences", function() { return __WEBPACK_IMPORTED_MODULE_9__components_references__["b"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__Resume_js__ = __webpack_require__(50);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "Resume", function() { return __WEBPACK_IMPORTED_MODULE_10__Resume_js__["a"]; });













/***/ }),
/* 34 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__defines__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__withBasics_js__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__Contact_js__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__Profiles_js__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__internals_ModifiedDivider_js__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_8_bloomer__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }












//Bloomer imports


var styles = {
    mainBox: {
        overflow: 'hidden',
        height: 'fit-content'
    },
    divider: {
        marginLeft: '-1.25rem',
        marginRight: '-1.25rem'
    },
    imageHolder: {
        marginTop: '-1.25rem',
        marginLeft: '-1.25rem',
        marginRight: '-1.25rem'
    },
    nameHolder: {
        textAlign: 'center',
        marginBottom: '1.5rem'
    },
    levelMenu: {
        flexDirection: 'column',
        paddingTop: '0.5rem',
        marginLeft: '-1rem',
        marginRight: '-1rem'
    },
    levelMenuItem: {
        fontSize: '1.25rem',
        textTransform: 'uppercase',
        display: 'block',
        width: '100%'
    },
    activeItem: {
        backgroundColor: '#3273dc',
        borderRadius: 2
    }
};

var BasicsSection = function BasicsSection(props) {
    var basics = props.basics,
        availableSections = props.availableSections,
        onMenuLinkClick = props.onMenuLinkClick,
        activeSection = props.activeSection,
        children = props.children,
        rest = _objectWithoutProperties(props, ["basics", "availableSections", "onMenuLinkClick", "activeSection", "children"]);

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        __WEBPACK_IMPORTED_MODULE_8_bloomer__["Box"],
        _extends({}, rest, { style: styles.mainBox, id: "basics" }),
        Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, 'picture') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            "div",
            { style: styles.imageHolder },
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_8_bloomer__["Image"], { isRatio: "square", src: basics.picture })
        ) : null,
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            "div",
            { style: styles.nameHolder },
            Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, 'name') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_8_bloomer__["Title"],
                { isSize: 1 },
                basics.name
            ) : null,
            Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, 'label') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_8_bloomer__["Subtitle"],
                { isSize: 3 },
                basics.label
            ) : null
        ),
        Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, 'summary') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_8_bloomer__["Content"],
            null,
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                "p",
                null,
                basics.summary
            )
        ) : null,
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_7__internals_ModifiedDivider_js__["a" /* default */], { style: styles.divider, isHidden: ['tablet', 'desktop', 'widescreen'] }),
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_8_bloomer__["Level"],
            { isDisplay: "flex-mobile", isHidden: ['tablet', 'desktop', 'widescreen'],
                style: styles.levelMenu },
            availableSections.map(function (menu) {
                return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    __WEBPACK_IMPORTED_MODULE_8_bloomer__["LevelItem"],
                    { href: "#" + menu, hasTextAlign: "centered", onClick: function onClick() {
                            return onMenuLinkClick(menu);
                        },
                        style: _extends({}, styles.levelMenuItem, activeSection === menu ? styles.activeItem : {}),
                        hasTextColor: activeSection === menu ? 'white' : 'dark', key: menu },
                    menu
                );
            })
        ),
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement("hr", { style: styles.divider }),
        children,
        Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, ['email', 'phone', 'website']) || Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, 'location') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5__Contact_js__["a" /* default */], { email: basics.email, phone: basics.phone,
            website: basics.website, location: basics.location }) : null,
        (Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, ['email', 'phone', 'website']) || Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, 'location')) && Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, 'profiles') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement("hr", { style: styles.divider }) : null,
        Object(__WEBPACK_IMPORTED_MODULE_3__utils_js__["a" /* hasProperties */])(basics, 'profiles') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_6__Profiles_js__["a" /* default */], { profiles: basics.profiles }) : null
    );
};

BasicsSection.propTypes = {
    basics: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}),
    availableSections: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.oneOf(__WEBPACK_IMPORTED_MODULE_2__defines__["a" /* default */].sections)),
    onMenuLinkClick: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.func,
    activeSection: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string
};

BasicsSection.defaultProps = {
    basics: {},
    availableSections: [],
    onMenuLinkClick: function onMenuLinkClick() {},
    activeSection: 'basics'
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_4__withBasics_js__["a" /* default */])(BasicsSection));

/***/ }),
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var emptyFunction = __webpack_require__(6);
var invariant = __webpack_require__(7);
var warning = __webpack_require__(8);
var assign = __webpack_require__(36);

var ReactPropTypesSecret = __webpack_require__(9);
var checkPropTypes = __webpack_require__(37);

module.exports = function(isValidElement, throwOnDirectAccess) {
  /* global Symbol */
  var ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
  var FAUX_ITERATOR_SYMBOL = '@@iterator'; // Before Symbol spec.

  /**
   * Returns the iterator method function contained on the iterable object.
   *
   * Be sure to invoke the function with the iterable as context:
   *
   *     var iteratorFn = getIteratorFn(myIterable);
   *     if (iteratorFn) {
   *       var iterator = iteratorFn.call(myIterable);
   *       ...
   *     }
   *
   * @param {?object} maybeIterable
   * @return {?function}
   */
  function getIteratorFn(maybeIterable) {
    var iteratorFn = maybeIterable && (ITERATOR_SYMBOL && maybeIterable[ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL]);
    if (typeof iteratorFn === 'function') {
      return iteratorFn;
    }
  }

  /**
   * Collection of methods that allow declaration and validation of props that are
   * supplied to React components. Example usage:
   *
   *   var Props = require('ReactPropTypes');
   *   var MyArticle = React.createClass({
   *     propTypes: {
   *       // An optional string prop named "description".
   *       description: Props.string,
   *
   *       // A required enum prop named "category".
   *       category: Props.oneOf(['News','Photos']).isRequired,
   *
   *       // A prop named "dialog" that requires an instance of Dialog.
   *       dialog: Props.instanceOf(Dialog).isRequired
   *     },
   *     render: function() { ... }
   *   });
   *
   * A more formal specification of how these methods are used:
   *
   *   type := array|bool|func|object|number|string|oneOf([...])|instanceOf(...)
   *   decl := ReactPropTypes.{type}(.isRequired)?
   *
   * Each and every declaration produces a function with the same signature. This
   * allows the creation of custom validation functions. For example:
   *
   *  var MyLink = React.createClass({
   *    propTypes: {
   *      // An optional string or URI prop named "href".
   *      href: function(props, propName, componentName) {
   *        var propValue = props[propName];
   *        if (propValue != null && typeof propValue !== 'string' &&
   *            !(propValue instanceof URI)) {
   *          return new Error(
   *            'Expected a string or an URI for ' + propName + ' in ' +
   *            componentName
   *          );
   *        }
   *      }
   *    },
   *    render: function() {...}
   *  });
   *
   * @internal
   */

  var ANONYMOUS = '<<anonymous>>';

  // Important!
  // Keep this list in sync with production version in `./factoryWithThrowingShims.js`.
  var ReactPropTypes = {
    array: createPrimitiveTypeChecker('array'),
    bool: createPrimitiveTypeChecker('boolean'),
    func: createPrimitiveTypeChecker('function'),
    number: createPrimitiveTypeChecker('number'),
    object: createPrimitiveTypeChecker('object'),
    string: createPrimitiveTypeChecker('string'),
    symbol: createPrimitiveTypeChecker('symbol'),

    any: createAnyTypeChecker(),
    arrayOf: createArrayOfTypeChecker,
    element: createElementTypeChecker(),
    instanceOf: createInstanceTypeChecker,
    node: createNodeChecker(),
    objectOf: createObjectOfTypeChecker,
    oneOf: createEnumTypeChecker,
    oneOfType: createUnionTypeChecker,
    shape: createShapeTypeChecker,
    exact: createStrictShapeTypeChecker,
  };

  /**
   * inlined Object.is polyfill to avoid requiring consumers ship their own
   * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is
   */
  /*eslint-disable no-self-compare*/
  function is(x, y) {
    // SameValue algorithm
    if (x === y) {
      // Steps 1-5, 7-10
      // Steps 6.b-6.e: +0 != -0
      return x !== 0 || 1 / x === 1 / y;
    } else {
      // Step 6.a: NaN == NaN
      return x !== x && y !== y;
    }
  }
  /*eslint-enable no-self-compare*/

  /**
   * We use an Error-like object for backward compatibility as people may call
   * PropTypes directly and inspect their output. However, we don't use real
   * Errors anymore. We don't inspect their stack anyway, and creating them
   * is prohibitively expensive if they are created too often, such as what
   * happens in oneOfType() for any type before the one that matched.
   */
  function PropTypeError(message) {
    this.message = message;
    this.stack = '';
  }
  // Make `instanceof Error` still work for returned errors.
  PropTypeError.prototype = Error.prototype;

  function createChainableTypeChecker(validate) {
    if (true) {
      var manualPropTypeCallCache = {};
      var manualPropTypeWarningCount = 0;
    }
    function checkType(isRequired, props, propName, componentName, location, propFullName, secret) {
      componentName = componentName || ANONYMOUS;
      propFullName = propFullName || propName;

      if (secret !== ReactPropTypesSecret) {
        if (throwOnDirectAccess) {
          // New behavior only for users of `prop-types` package
          invariant(
            false,
            'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
            'Use `PropTypes.checkPropTypes()` to call them. ' +
            'Read more at http://fb.me/use-check-prop-types'
          );
        } else if ("development" !== 'production' && typeof console !== 'undefined') {
          // Old behavior for people using React.PropTypes
          var cacheKey = componentName + ':' + propName;
          if (
            !manualPropTypeCallCache[cacheKey] &&
            // Avoid spamming the console because they are often not actionable except for lib authors
            manualPropTypeWarningCount < 3
          ) {
            warning(
              false,
              'You are manually calling a React.PropTypes validation ' +
              'function for the `%s` prop on `%s`. This is deprecated ' +
              'and will throw in the standalone `prop-types` package. ' +
              'You may be seeing this warning due to a third-party PropTypes ' +
              'library. See https://fb.me/react-warning-dont-call-proptypes ' + 'for details.',
              propFullName,
              componentName
            );
            manualPropTypeCallCache[cacheKey] = true;
            manualPropTypeWarningCount++;
          }
        }
      }
      if (props[propName] == null) {
        if (isRequired) {
          if (props[propName] === null) {
            return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required ' + ('in `' + componentName + '`, but its value is `null`.'));
          }
          return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required in ' + ('`' + componentName + '`, but its value is `undefined`.'));
        }
        return null;
      } else {
        return validate(props, propName, componentName, location, propFullName);
      }
    }

    var chainedCheckType = checkType.bind(null, false);
    chainedCheckType.isRequired = checkType.bind(null, true);

    return chainedCheckType;
  }

  function createPrimitiveTypeChecker(expectedType) {
    function validate(props, propName, componentName, location, propFullName, secret) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== expectedType) {
        // `propValue` being instance of, say, date/regexp, pass the 'object'
        // check, but we can offer a more precise error message here rather than
        // 'of type `object`'.
        var preciseType = getPreciseType(propValue);

        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + preciseType + '` supplied to `' + componentName + '`, expected ') + ('`' + expectedType + '`.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createAnyTypeChecker() {
    return createChainableTypeChecker(emptyFunction.thatReturnsNull);
  }

  function createArrayOfTypeChecker(typeChecker) {
    function validate(props, propName, componentName, location, propFullName) {
      if (typeof typeChecker !== 'function') {
        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside arrayOf.');
      }
      var propValue = props[propName];
      if (!Array.isArray(propValue)) {
        var propType = getPropType(propValue);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an array.'));
      }
      for (var i = 0; i < propValue.length; i++) {
        var error = typeChecker(propValue, i, componentName, location, propFullName + '[' + i + ']', ReactPropTypesSecret);
        if (error instanceof Error) {
          return error;
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createElementTypeChecker() {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      if (!isValidElement(propValue)) {
        var propType = getPropType(propValue);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createInstanceTypeChecker(expectedClass) {
    function validate(props, propName, componentName, location, propFullName) {
      if (!(props[propName] instanceof expectedClass)) {
        var expectedClassName = expectedClass.name || ANONYMOUS;
        var actualClassName = getClassName(props[propName]);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + actualClassName + '` supplied to `' + componentName + '`, expected ') + ('instance of `' + expectedClassName + '`.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createEnumTypeChecker(expectedValues) {
    if (!Array.isArray(expectedValues)) {
       true ? warning(false, 'Invalid argument supplied to oneOf, expected an instance of array.') : void 0;
      return emptyFunction.thatReturnsNull;
    }

    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      for (var i = 0; i < expectedValues.length; i++) {
        if (is(propValue, expectedValues[i])) {
          return null;
        }
      }

      var valuesString = JSON.stringify(expectedValues);
      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of value `' + propValue + '` ' + ('supplied to `' + componentName + '`, expected one of ' + valuesString + '.'));
    }
    return createChainableTypeChecker(validate);
  }

  function createObjectOfTypeChecker(typeChecker) {
    function validate(props, propName, componentName, location, propFullName) {
      if (typeof typeChecker !== 'function') {
        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside objectOf.');
      }
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an object.'));
      }
      for (var key in propValue) {
        if (propValue.hasOwnProperty(key)) {
          var error = typeChecker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
          if (error instanceof Error) {
            return error;
          }
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createUnionTypeChecker(arrayOfTypeCheckers) {
    if (!Array.isArray(arrayOfTypeCheckers)) {
       true ? warning(false, 'Invalid argument supplied to oneOfType, expected an instance of array.') : void 0;
      return emptyFunction.thatReturnsNull;
    }

    for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
      var checker = arrayOfTypeCheckers[i];
      if (typeof checker !== 'function') {
        warning(
          false,
          'Invalid argument supplied to oneOfType. Expected an array of check functions, but ' +
          'received %s at index %s.',
          getPostfixForTypeWarning(checker),
          i
        );
        return emptyFunction.thatReturnsNull;
      }
    }

    function validate(props, propName, componentName, location, propFullName) {
      for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
        var checker = arrayOfTypeCheckers[i];
        if (checker(props, propName, componentName, location, propFullName, ReactPropTypesSecret) == null) {
          return null;
        }
      }

      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`.'));
    }
    return createChainableTypeChecker(validate);
  }

  function createNodeChecker() {
    function validate(props, propName, componentName, location, propFullName) {
      if (!isNode(props[propName])) {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a ReactNode.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createShapeTypeChecker(shapeTypes) {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
      }
      for (var key in shapeTypes) {
        var checker = shapeTypes[key];
        if (!checker) {
          continue;
        }
        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
        if (error) {
          return error;
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createStrictShapeTypeChecker(shapeTypes) {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
      }
      // We need to check all keys in case some are required but missing from
      // props.
      var allKeys = assign({}, props[propName], shapeTypes);
      for (var key in allKeys) {
        var checker = shapeTypes[key];
        if (!checker) {
          return new PropTypeError(
            'Invalid ' + location + ' `' + propFullName + '` key `' + key + '` supplied to `' + componentName + '`.' +
            '\nBad object: ' + JSON.stringify(props[propName], null, '  ') +
            '\nValid keys: ' +  JSON.stringify(Object.keys(shapeTypes), null, '  ')
          );
        }
        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
        if (error) {
          return error;
        }
      }
      return null;
    }

    return createChainableTypeChecker(validate);
  }

  function isNode(propValue) {
    switch (typeof propValue) {
      case 'number':
      case 'string':
      case 'undefined':
        return true;
      case 'boolean':
        return !propValue;
      case 'object':
        if (Array.isArray(propValue)) {
          return propValue.every(isNode);
        }
        if (propValue === null || isValidElement(propValue)) {
          return true;
        }

        var iteratorFn = getIteratorFn(propValue);
        if (iteratorFn) {
          var iterator = iteratorFn.call(propValue);
          var step;
          if (iteratorFn !== propValue.entries) {
            while (!(step = iterator.next()).done) {
              if (!isNode(step.value)) {
                return false;
              }
            }
          } else {
            // Iterator will provide entry [k,v] tuples rather than values.
            while (!(step = iterator.next()).done) {
              var entry = step.value;
              if (entry) {
                if (!isNode(entry[1])) {
                  return false;
                }
              }
            }
          }
        } else {
          return false;
        }

        return true;
      default:
        return false;
    }
  }

  function isSymbol(propType, propValue) {
    // Native Symbol.
    if (propType === 'symbol') {
      return true;
    }

    // 19.4.3.5 Symbol.prototype[@@toStringTag] === 'Symbol'
    if (propValue['@@toStringTag'] === 'Symbol') {
      return true;
    }

    // Fallback for non-spec compliant Symbols which are polyfilled.
    if (typeof Symbol === 'function' && propValue instanceof Symbol) {
      return true;
    }

    return false;
  }

  // Equivalent of `typeof` but with special handling for array and regexp.
  function getPropType(propValue) {
    var propType = typeof propValue;
    if (Array.isArray(propValue)) {
      return 'array';
    }
    if (propValue instanceof RegExp) {
      // Old webkits (at least until Android 4.0) return 'function' rather than
      // 'object' for typeof a RegExp. We'll normalize this here so that /bla/
      // passes PropTypes.object.
      return 'object';
    }
    if (isSymbol(propType, propValue)) {
      return 'symbol';
    }
    return propType;
  }

  // This handles more types than `getPropType`. Only used for error messages.
  // See `createPrimitiveTypeChecker`.
  function getPreciseType(propValue) {
    if (typeof propValue === 'undefined' || propValue === null) {
      return '' + propValue;
    }
    var propType = getPropType(propValue);
    if (propType === 'object') {
      if (propValue instanceof Date) {
        return 'date';
      } else if (propValue instanceof RegExp) {
        return 'regexp';
      }
    }
    return propType;
  }

  // Returns a string that is postfixed to a warning about an invalid type.
  // For example, "undefined" or "of type array"
  function getPostfixForTypeWarning(value) {
    var type = getPreciseType(value);
    switch (type) {
      case 'array':
      case 'object':
        return 'an ' + type;
      case 'boolean':
      case 'date':
      case 'regexp':
        return 'a ' + type;
      default:
        return type;
    }
  }

  // Returns class name of the object, if any.
  function getClassName(propValue) {
    if (!propValue.constructor || !propValue.constructor.name) {
      return ANONYMOUS;
    }
    return propValue.constructor.name;
  }

  ReactPropTypes.checkPropTypes = checkPropTypes;
  ReactPropTypes.PropTypes = ReactPropTypes;

  return ReactPropTypes;
};


/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/*
object-assign
(c) Sindre Sorhus
@license MIT
*/


/* eslint-disable no-unused-vars */
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;

function toObject(val) {
	if (val === null || val === undefined) {
		throw new TypeError('Object.assign cannot be called with null or undefined');
	}

	return Object(val);
}

function shouldUseNative() {
	try {
		if (!Object.assign) {
			return false;
		}

		// Detect buggy property enumeration order in older V8 versions.

		// https://bugs.chromium.org/p/v8/issues/detail?id=4118
		var test1 = new String('abc');  // eslint-disable-line no-new-wrappers
		test1[5] = 'de';
		if (Object.getOwnPropertyNames(test1)[0] === '5') {
			return false;
		}

		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
		var test2 = {};
		for (var i = 0; i < 10; i++) {
			test2['_' + String.fromCharCode(i)] = i;
		}
		var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
			return test2[n];
		});
		if (order2.join('') !== '0123456789') {
			return false;
		}

		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
		var test3 = {};
		'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
			test3[letter] = letter;
		});
		if (Object.keys(Object.assign({}, test3)).join('') !==
				'abcdefghijklmnopqrst') {
			return false;
		}

		return true;
	} catch (err) {
		// We don't expect any of the above to throw, but better to be safe.
		return false;
	}
}

module.exports = shouldUseNative() ? Object.assign : function (target, source) {
	var from;
	var to = toObject(target);
	var symbols;

	for (var s = 1; s < arguments.length; s++) {
		from = Object(arguments[s]);

		for (var key in from) {
			if (hasOwnProperty.call(from, key)) {
				to[key] = from[key];
			}
		}

		if (getOwnPropertySymbols) {
			symbols = getOwnPropertySymbols(from);
			for (var i = 0; i < symbols.length; i++) {
				if (propIsEnumerable.call(from, symbols[i])) {
					to[symbols[i]] = from[symbols[i]];
				}
			}
		}
	}

	return to;
};


/***/ }),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



if (true) {
  var invariant = __webpack_require__(7);
  var warning = __webpack_require__(8);
  var ReactPropTypesSecret = __webpack_require__(9);
  var loggedTypeFailures = {};
}

/**
 * Assert that the values match with the type specs.
 * Error messages are memorized and will only be shown once.
 *
 * @param {object} typeSpecs Map of name to a ReactPropType
 * @param {object} values Runtime values that need to be type-checked
 * @param {string} location e.g. "prop", "context", "child context"
 * @param {string} componentName Name of the component for error messages.
 * @param {?Function} getStack Returns the component stack.
 * @private
 */
function checkPropTypes(typeSpecs, values, location, componentName, getStack) {
  if (true) {
    for (var typeSpecName in typeSpecs) {
      if (typeSpecs.hasOwnProperty(typeSpecName)) {
        var error;
        // Prop type validation may throw. In case they do, we don't want to
        // fail the render phase where it didn't fail before. So we log it.
        // After these have been cleaned up, we'll let them throw.
        try {
          // This is intentionally an invariant that gets caught. It's the same
          // behavior as without this statement except with a better message.
          invariant(typeof typeSpecs[typeSpecName] === 'function', '%s: %s type `%s` is invalid; it must be a function, usually from ' + 'the `prop-types` package, but received `%s`.', componentName || 'React class', location, typeSpecName, typeof typeSpecs[typeSpecName]);
          error = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, ReactPropTypesSecret);
        } catch (ex) {
          error = ex;
        }
        warning(!error || error instanceof Error, '%s: type specification of %s `%s` is invalid; the type checker ' + 'function must return `null` or an `Error` but returned a %s. ' + 'You may have forgotten to pass an argument to the type checker ' + 'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' + 'shape all require an argument).', componentName || 'React class', location, typeSpecName, typeof error);
        if (error instanceof Error && !(error.message in loggedTypeFailures)) {
          // Only monitor this failure once because there tends to be a lot of the
          // same error.
          loggedTypeFailures[error.message] = true;

          var stack = getStack ? getStack() : '';

          warning(false, 'Failed %s type: %s%s', location, error.message, stack != null ? stack : '');
        }
      }
    }
  }
}

module.exports = checkPropTypes;


/***/ }),
/* 38 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_38__;

/***/ }),
/* 39 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_bloomer__);



//Bloomer imports


var ModifiedDivider = function ModifiedDivider(props) {
    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        'hr',
        props,
        props.children
    );
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_2_bloomer__["withHelpersModifiers"])(ModifiedDivider));

/***/ }),
/* 40 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withWork_js__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__ = __webpack_require__(4);









var WorkList = function WorkList(props) {
    var work = props.work;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = work.map(function (obj) {
        var item = {};
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'company')) {
            item.title = obj.company;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'position')) {
            item.subtitle = obj.position;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'website')) {
            item.url = obj.website;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'startDate')) {
            item.start = obj.startDate;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'endDate')) {
            item.end = obj.endDate;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'highlights')) {
            item.highlights = obj.highlights;
        }
        return item;
    });

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__["a" /* default */], { items: items, listName: "Work experience", listIcon: "fas fa-building", id: "work", highlightType: "list" });
};

WorkList.propTypes = {
    work: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

WorkList.defaultProps = {
    work: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withWork_js__["a" /* default */])(WorkList));

/***/ }),
/* 41 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_bloomer__);





//Bloomer imports


var styles = {
    itemDiv: {},
    dateDiv: {
        fontSize: '0.8em'
    },
    dateSpan: {
        marginLeft: '0.4rem',
        marginRight: '0.4rem',
        fontStyle: 'italic'
    },
    highlightList: {
        listStyle: 'square',
        marginLeft: 20
    },
    highlightElement: {},
    tagsList: {},
    tagElement: {
        marginLeft: '0.3rem'
    }
};

var GenericElement = function GenericElement(props) {
    var item = props.item,
        highlightType = props.highlightType;


    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        'div',
        { style: styles.itemDiv },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_3_bloomer__["Columns"],
            null,
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_3_bloomer__["Column"],
                { isSize: '1/2' },
                Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'title') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    __WEBPACK_IMPORTED_MODULE_3_bloomer__["Title"],
                    { isSize: 5 },
                    Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'url') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        'a',
                        { href: item.url },
                        item.title
                    ) : item.title
                ) : null,
                Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'subtitle') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    __WEBPACK_IMPORTED_MODULE_3_bloomer__["Subtitle"],
                    { isSize: 5 },
                    item.subtitle
                ) : null
            ),
            Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'start') || Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'end') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_3_bloomer__["Column"],
                { isSize: '1/2', hasTextAlign: 'right', hasTextColor: 'info' },
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    'div',
                    { style: styles.dateDiv },
                    Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'start') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        'span',
                        { style: styles.dateSpan },
                        item.start
                    ) : null,
                    Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, ['start', 'end']) ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        'span',
                        null,
                        'to'
                    ) : null,
                    Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'end') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        'span',
                        { style: styles.dateSpan },
                        item.end
                    ) : null
                )
            ) : null
        ),
        Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'summary') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_3_bloomer__["Content"],
            null,
            item.summary
        ) : null,
        Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'highlights') ? highlightType === 'list' ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            'ul',
            { style: styles.highlightList },
            item.highlights.map(function (highlight, index) {
                return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    'li',
                    { style: styles.highlightElement, key: index },
                    highlight
                );
            })
        ) : __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            'div',
            { style: styles.tagsList },
            item.highlights.map(function (highlight, index) {
                return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    __WEBPACK_IMPORTED_MODULE_3_bloomer__["Tag"],
                    { style: styles.tagElement, key: index, isColor: 'info' },
                    highlight
                );
            })
        ) : null
    );
};

GenericElement.propTypes = {
    item: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
        title: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        subtitle: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        summary: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        url: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        start: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        end: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
        highlights: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string)
    }).isRequired,
    highlightType: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.oneOf(['list', 'tags'])
};

GenericElement.defaultProps = {
    highlightType: 'list'
};

/* harmony default export */ __webpack_exports__["a"] = (GenericElement);

/***/ }),
/* 42 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withVolunteer_js__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__ = __webpack_require__(4);









var VolunteerList = function VolunteerList(props) {
    var volunteer = props.volunteer;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = volunteer.map(function (obj) {
        var item = {};
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'organization')) {
            item.title = obj.organization;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'position')) {
            item.subtitle = obj.position;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'website')) {
            item.url = obj.website;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'startDate')) {
            item.start = obj.startDate;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'endDate')) {
            item.end = obj.endDate;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'highlights')) {
            item.highlights = obj.highlights;
        }
        return item;
    });

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__["a" /* default */], { items: items, listName: "Volunteer experience", listIcon: "fas fa-male", id: "volunteer", highlightType: "list" });
};

VolunteerList.propTypes = {
    volunteer: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

VolunteerList.defaultProps = {
    volunteer: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withVolunteer_js__["a" /* default */])(VolunteerList));

/***/ }),
/* 43 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withEducation_js__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__ = __webpack_require__(4);









var EducationList = function EducationList(props) {
    var education = props.education;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = education.map(function (obj) {
        var item = {};
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'area')) {
            item.title = Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'studyType') ? obj.studyType + ", " + obj.area : obj.area;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'institution')) {
            item.subtitle = obj.institution;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'startDate')) {
            item.start = obj.startDate;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'endDate')) {
            item.end = obj.endDate;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'courses')) {
            item.highlights = obj.courses;
        }
        return item;
    });

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__["a" /* default */], { items: items, listName: "Education", listIcon: "fas fa-graduation-cap", id: "education", highlightType: "tags" });
};

EducationList.propTypes = {
    education: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

EducationList.defaultProps = {
    education: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withEducation_js__["a" /* default */])(EducationList));

/***/ }),
/* 44 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withAwards_js__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_bloomer__);











var AwardsList = function AwardsList(props) {
    var awards = props.awards;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = awards.map(function (obj) {
        var item = {};
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'title')) {
            item.title = obj.title;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'awarder')) {
            item.subtitle = obj.awarder;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'date')) {
            item.start = obj.date;
        }
        return item;
    });

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        __WEBPACK_IMPORTED_MODULE_5_bloomer__["Column"],
        { isSize: "1/2" },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__["a" /* default */], { items: items, listName: "Awards", listIcon: "fas fa-trophy", id: "awards", highlightType: "list",
            style: { height: '100%' } })
    );
};

AwardsList.propTypes = {
    awards: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

AwardsList.defaultProps = {
    awards: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withAwards_js__["a" /* default */])(AwardsList));

/***/ }),
/* 45 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withPublications_js__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_bloomer__);











var PublicationsList = function PublicationsList(props) {
    var publications = props.publications;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = publications.map(function (obj) {
        var item = {};
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'name')) {
            item.title = obj.name;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'publisher')) {
            item.subtitle = obj.publisher;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'website')) {
            item.url = obj.website;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'releaseDate')) {
            item.start = obj.releaseDate;
        }
        return item;
    });

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        __WEBPACK_IMPORTED_MODULE_5_bloomer__["Column"],
        { isSize: "1/2" },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__["a" /* default */], { items: items, listName: "Publications", listIcon: "fas fa-newspaper", id: "publications", highlightType: "list" })
    );
};

PublicationsList.propTypes = {
    publications: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

PublicationsList.defaultProps = {
    publications: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withPublications_js__["a" /* default */])(PublicationsList));

/***/ }),
/* 46 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withSkills_js__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_bloomer__);







//Bloomer imports


var styles = {
    mainDiv: {
        marginBottom: '1.25rem'
    },
    skillsList: {},
    skills: {
        marginBottom: '1rem'
    },
    skillTitle: {
        marginBottom: '0.5rem'
    },
    skillProgress: {
        marginBottom: '0.5rem'
    },
    skillTags: {
        textAlign: 'right'
    },
    tag: {
        marginLeft: '0.2rem'
    }
};

var levelToProgress = function levelToProgress(level) {
    switch (level) {
        case 'Basic':
            return 1;
        case 'Initiated':
            return 2;
        case 'Average':
            return 3;
        case 'Competent':
            return 4;
        case 'Master':
            return 5;
        default:
            return 3;
    }
};

var Skills = function Skills(props) {
    var skills = props.skills;


    if (!skills.length) {
        return null;
    }

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        "div",
        { id: "skills", style: styles.mainDiv },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_4_bloomer__["Title"],
            { isSize: 4 },
            "Profesionnal Skills"
        ),
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            "div",
            { style: styles.skillsList },
            skills.map(function (skill, index) {
                return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    "div",
                    { style: styles.skills, key: index },
                    Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(skill, 'name') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        __WEBPACK_IMPORTED_MODULE_4_bloomer__["Subtitle"],
                        { isSize: 5, style: styles.skillTitle },
                        skill.name
                    ) : null,
                    Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(skill, 'level') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4_bloomer__["Progress"], { isColor: "primary", value: levelToProgress(skill.level), max: 5,
                        style: styles.skillProgress }) : null,
                    Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(skill, 'keywords') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        "div",
                        { style: styles.skillTags },
                        skill.keywords.map(function (keyword, index) {
                            return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                                __WEBPACK_IMPORTED_MODULE_4_bloomer__["Tag"],
                                { isColor: "info", style: styles.tag, key: index },
                                keyword
                            );
                        })
                    ) : null
                );
            })
        )
    );
};

Skills.propTypes = {
    skills: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

Skills.defaultProps = {
    skills: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withSkills_js__["a" /* default */])(Skills));

/***/ }),
/* 47 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withLanguages_js__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_bloomer__);











var styles = {
    icon: {
        width: 40,
        paddingLeft: 8,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center'
    },
    heading: {
        textTransform: 'uppercase'
    }
};

var Languages = function Languages(props) {
    var languages = props.languages;


    if (!languages.length) {
        return null;
    }

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        __WEBPACK_IMPORTED_MODULE_5_bloomer__["Column"],
        { isSize: "1/2" },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            __WEBPACK_IMPORTED_MODULE_5_bloomer__["Card"],
            { style: { height: '100%' } },
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_5_bloomer__["CardHeader"],
                null,
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_bloomer__["CardHeaderIcon"], { render: function render() {
                        return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                            "div",
                            { style: styles.icon },
                            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_bloomer__["Icon"], { className: "fas fa-language" })
                        );
                    } }),
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    __WEBPACK_IMPORTED_MODULE_5_bloomer__["CardHeaderTitle"],
                    { style: styles.heading },
                    "Languages"
                )
            ),
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_5_bloomer__["CardContent"],
                null,
                languages.map(function (item, index, items) {
                    return [Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'name') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        __WEBPACK_IMPORTED_MODULE_5_bloomer__["Title"],
                        { isSize: 5, key: "name_" + index },
                        item.name
                    ) : null, Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(item, 'level') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        __WEBPACK_IMPORTED_MODULE_5_bloomer__["Subtitle"],
                        { isSize: 5, hasTextColor: "info", key: "level_" + index },
                        item.level
                    ) : null, index !== items.length - 1 ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement("hr", null) : null];
                })
            )
        )
    );
};

Languages.propTypes = {
    languages: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

Languages.defaultProps = {
    languages: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withLanguages_js__["a" /* default */])(Languages));

/***/ }),
/* 48 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withInterests_js__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_bloomer__);











var Interests = function Interests(props) {
    var interests = props.interests;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = interests.map(function (obj) {
        var item = {};
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'name')) {
            item.title = obj.name;
        }
        if (Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(obj, 'keywords')) {
            item.highlights = obj.keywords;
        }
        return item;
    });

    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        __WEBPACK_IMPORTED_MODULE_5_bloomer__["Column"],
        { isSize: "1/2" },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__internals_GenericList_js__["a" /* default */], { items: items, listName: "Interests", listIcon: "fas fa-heart", id: "interests", highlightType: "tags",
            style: { height: '100%' } })
    );
};

Interests.propTypes = {
    interests: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

Interests.defaultProps = {
    interests: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withInterests_js__["a" /* default */])(Interests));

/***/ }),
/* 49 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_js__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__withReferences_js__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_bloomer__);







//Bloomer imports


var styles = {
    mainDiv: {
        marginBottom: '1.25rem'
    },
    divider: {
        marginLeft: '-1.25rem',
        marginRight: '-1.25rem'
    },
    referencesList: {},
    name: {
        fontStyle: 'italic',
        marginTop: '-1.25rem',
        display: 'block',
        marginLeft: '1rem'
    }
};

var References = function References(props) {
    var references = props.references;


    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
        "div",
        { id: "references", style: styles.mainDiv },
        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
            "div",
            { style: styles.referencesList },
            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_4_bloomer__["Content"],
                null,
                references.map(function (reference, index) {
                    return [Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(reference, 'reference') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        "blockquote",
                        { key: "quote_" + index },
                        reference.reference
                    ) : null, Object(__WEBPACK_IMPORTED_MODULE_2__utils_js__["a" /* hasProperties */])(reference, 'name') ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        "span",
                        { style: styles.name, key: "name_" + index },
                        reference.name
                    ) : null];
                })
            )
        ),
        references.length ? __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement("hr", { style: styles.divider }) : null
    );
};

References.propTypes = {
    references: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({}))
};

References.defaultProps = {
    references: []
};

/* harmony default export */ __webpack_exports__["a"] = (Object(__WEBPACK_IMPORTED_MODULE_3__withReferences_js__["a" /* default */])(References));

/***/ }),
/* 50 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_prop_types___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_prop_types__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_bloomer__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_bloomer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_bloomer__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_basics__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_skills__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_references__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_education__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__components_work__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__components_volunteer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__components_awards__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__components_publications__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__components_languages__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__components_interests__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13_react_tippy_dist_tippy_css__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13_react_tippy_dist_tippy_css___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_13_react_tippy_dist_tippy_css__);
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }




//Bloomer imports















var styles = {};

var Resume = function (_Component) {
    _inherits(Resume, _Component);

    function Resume(props) {
        _classCallCheck(this, Resume);

        var _this = _possibleConstructorReturn(this, _Component.call(this, props));

        _this.handleMenuLinkClick = function (section) {
            window.location.hash = '#' + section;
            _this.setState({
                activeSection: section
            });
        };

        _this.state = {
            activeSection: window.location.hash ? window.location.hash.replace('#', '') : 'basics'
        };
        return _this;
    }

    Resume.prototype.getChildContext = function getChildContext() {
        var schema = this.props.schema;


        return { schema: schema };
    };

    Resume.prototype.render = function render() {
        var _this2 = this;

        var children = this.props.children;
        var activeSection = this.state.activeSection;


        if (!__WEBPACK_IMPORTED_MODULE_0_react___default.a.Children.count(children)) {
            return [__WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_2_bloomer__["Section"],
                { key: 'content' },
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    __WEBPACK_IMPORTED_MODULE_2_bloomer__["Container"],
                    null,
                    __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        __WEBPACK_IMPORTED_MODULE_2_bloomer__["Tile"],
                        { isAncestor: true },
                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                            __WEBPACK_IMPORTED_MODULE_2_bloomer__["Tile"],
                            { isSize: 3, isParent: true },
                            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_bloomer__["Tile"], { isChild: true, render: function render(props) {
                                    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                                        __WEBPACK_IMPORTED_MODULE_3__components_basics__["a" /* BasicsSection */],
                                        { activeSection: activeSection,
                                            onMenuLinkClick: _this2.handleMenuLinkClick },
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5__components_references__["a" /* References */], null),
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__components_skills__["a" /* Skills */], null)
                                    );
                                } })
                        ),
                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                            __WEBPACK_IMPORTED_MODULE_2_bloomer__["Tile"],
                            { isParent: true, isVertical: true },
                            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_bloomer__["Tile"], { isChild: true, render: function render(props) {
                                    return __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                                        'div',
                                        props,
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_6__components_education__["a" /* EducationList */], null),
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement('br', null),
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_7__components_work__["a" /* WorkList */], null),
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement('br', null),
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_8__components_volunteer__["a" /* VolunteerList */], null),
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement('br', null),
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                                            __WEBPACK_IMPORTED_MODULE_2_bloomer__["Columns"],
                                            null,
                                            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_9__components_awards__["a" /* AwardsList */], null),
                                            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_10__components_publications__["a" /* PublicationsList */], null)
                                        ),
                                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                                            __WEBPACK_IMPORTED_MODULE_2_bloomer__["Columns"],
                                            null,
                                            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_11__components_languages__["a" /* Languages */], null),
                                            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_12__components_interests__["a" /* Interests */], null)
                                        )
                                    );
                                } })
                        )
                    )
                )
            ), __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                __WEBPACK_IMPORTED_MODULE_2_bloomer__["Footer"],
                { id: 'footer', key: 'footer' },
                __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                    __WEBPACK_IMPORTED_MODULE_2_bloomer__["Container"],
                    null,
                    __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                        __WEBPACK_IMPORTED_MODULE_2_bloomer__["Content"],
                        null,
                        __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                            'p',
                            null,
                            'Made with ',
                            __WEBPACK_IMPORTED_MODULE_0_react___default.a.createElement(
                                'a',
                                { href: 'https://github.com/Minivera/react-bulma-vitae' },
                                'react-bulma-vitae'
                            )
                        )
                    )
                )
            )];
        }
        return children;
    };

    return Resume;
}(__WEBPACK_IMPORTED_MODULE_0_react__["Component"]);

Resume.propTypes = {
    //See https://jsonresume.org/schema/
    schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
        basic: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            name: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            label: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            picture: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            email: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            phone: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            website: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            summary: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            location: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
                address: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
                postalCode: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
                city: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
                countryCode: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
                region: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string
            }),
            profiles: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
                network: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
                username: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
                url: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string
            }))
        }),
        work: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            company: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            position: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            website: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            startDate: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            endDate: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            summary: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            highlights: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string)
        })),
        volunteer: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            organization: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            position: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            website: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            startDate: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            endDate: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            summary: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            highlights: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string)
        })),
        education: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            institution: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            area: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            studyType: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            startDate: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            endDate: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            gpa: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            courses: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string)
        })),
        awards: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            title: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            date: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            awarder: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            summary: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string
        })),
        publications: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            name: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            publisher: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            releaseDate: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            website: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            summary: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string
        })),
        skills: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            name: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            level: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.oneOf(['Basic', 'Initiated', 'Average', 'Competent', 'Master']),
            keywords: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string)
        })),
        languages: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            name: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            level: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string
        })),
        interests: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            name: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            keywords: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string)
        })),
        references: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.arrayOf(__WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({
            name: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string,
            reference: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.string
        }))
    }).isRequired
};

Resume.defaultProps = {};

Resume.childContextTypes = {
    schema: __WEBPACK_IMPORTED_MODULE_1_prop_types___default.a.shape({})
};

/* harmony default export */ __webpack_exports__["a"] = (Resume);

/***/ }),
/* 51 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
/******/ ])["default"];
});